commit:     eb31b8d49c2bcde6f0562f242c91169c26716a8e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May  9 18:33:54 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May  9 18:43:18 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb31b8d4

dev-python/google-apputils: Fix namespace support

 .../google-apputils-0.4.2-r2.ebuild                | 41 ++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/dev-python/google-apputils/google-apputils-0.4.2-r2.ebuild 
b/dev-python/google-apputils/google-apputils-0.4.2-r2.ebuild
new file mode 100644
index 00000000000..e1fb178d2d2
--- /dev/null
+++ b/dev-python/google-apputils/google-apputils-0.4.2-r2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+# Python 3: https://github.com/google/google-apputils/issues/9
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for building Python applications"
+HOMEPAGE="https://github.com/google/google-apputils";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86"
+IUSE="test"
+
+RDEPEND="
+       dev-python/namespace-google[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-1.4[${PYTHON_USEDEP}]
+       >=dev-python/python-gflags-1.4[${PYTHON_USEDEP}]
+       >=dev-python/pytz-2010[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( ${RDEPEND} dev-python/mox[${PYTHON_USEDEP}] )"
+
+src_unpack() {
+       default
+       chmod -R a+rX,u+w,g-w,o-w ${P} || die
+}
+
+python_test() {
+       esetup.py google_test
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       find "${D}" -name '*.pth' -delete || die
+}

Reply via email to